미디어 보관함에 생성된 동영상 폴더를 폴더명으로 조회합니다.
Request URL
GET https://api.v4.wecandeo.com/info/videopack/folder/v1/name.json?folderName={Folder Name}Request Parameters
| Parameter Name | Type | Description |
|---|---|---|
| folderName (Required) | String | 폴더 이름 |
| storageUsage | String | 스토리지 사용량 조회 옵션 기본값 none (미지정 시 스토리지 필드 없이 기존 6개 필드만 반환) 허용값(none/original/all) 외의 값 입력 시 400 오류가 반환 • none : 스토리지 필드 없음 (미지정과 동일) • original : 원본 파일 용량(originalStorageBytes) 추가 • all : 원본 + 인코딩 용량 (originalStorageBytes, encodedStorageBytes) 추가 |
Response Example
{
"folderInfo": [
{
"folderId": 805,
"folderName": "test",
"videoCnt": 7,
"folderSize": 872108950,
"cdate": "2023-04-19T06:51:10.000Z",
"packageCnt": 0,
"originalStorageBytes": 872108950,
"encodedStorageBytes": 110991178
}
]
}Response Data Value
| Name | Type | Description |
|---|---|---|
| folderId | Integer | 폴더 ID |
| folderName | String | 폴더 이름 |
| videoCnt | Integer | 폴더 내 동영상 수량 |
| folderSize | Integer | 폴더 내 동영상 원본 용량의 합계 |
| packageCnt | Integer | 연동된 배포 패키지 수 (폴더 연동) |
| cdate | String | 폴더 생성 날짜, 시각 |
| originalStorageBytes | Integer | 원본 파일 점유 용량 합계 (byte) storageUsage가 original 또는 all일 때만 포함 |
| encodedStorageBytes | Integer | 인코딩 파일 점유 용량 합계 (byte) storageUsage가 all일 때만 포함 |

